fileref.h File Reference
`#include "tfile.h"`
`#include "tstringlist.h"`
`#include "taglib_export.h"`
`#include "audioproperties.h"`
Include dependency graph for fileref.h:

Go to the source code of this file.

## Classes

class | TagLib::FileRef
| This class provides a simple abstraction for creating and handling files. More...
class | TagLib::FileRef::FileTypeResolver
| A class for pluggable file type resolution. More...
class | TagLib::FileRef::StreamTypeResolver
| A class for pluggable stream type resolution. More...

## Namespaces

namespace | TagLib
| A namespace for all TagLib related classes and functions.